View Issue Details

IDProjectCategoryView StatusLast Update
0005512Talerwallet (WebExtensions)public2020-07-24 11:56
Reporterdavidak Assigned ToFlorian Dold  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.5 
Target Version0.7.1Fixed in Version0.8 
Summary0005512: Wallet adds only 2000000 KUDOS and get stuck
DescriptionI have withdrawn a huge ammount of KUDOS from the bank into my wallet, multiple times.

It don't appear directly in the wallet, but it seems that every coin is added by itself, so it takes a very long time until all this KUDOS are actually added.

It appears that the wallet get stuck after adding 2000000 coins to the wallet. It starts again when i disable the browser extension and enable it again.

(Since Taler should work like cash, nobody would have such amounts in ones wallet)
Steps To Reproduce1. withdraw 10000000 KUDOS from the bank
2. see if they all get added to your wallet balance
Additional InformationChromium 71.0.3578.98
Extension 0.5.1
TagsNo tags attached.

Activities

davidak

2019-01-25 18:32

reporter  

davidak

2019-01-25 18:32

reporter  

Christian Grothoff

2019-01-31 19:16

manager   ~0013540

Do you get any interesting log messages in your debug logs?

Oh, and as for this being slow, that's simply because the denominations that were setup are just for much smaller amounts. But of course if the wallet does get stuck, this is still a bug that needs fixing.

davidak

2019-04-16 21:52

reporter   ~0014297

>Do you get any interesting log messages in your debug logs?

like this? (see screenshot)

Florian Dold

2019-08-17 18:51

manager   ~0014793

In the screenshot, the errors are related to the deposit operation, and not withdraw.

If the bug is in the wallet, it should be easier to show one 0004738 and 0004108 are resolved.

Christian Grothoff

2019-12-18 23:25

manager   ~0015188

Believed fixed, also better diagnostics available in latest wallet.

Christian Grothoff

2019-12-24 08:44

manager   ~0015218

Seems this one is NOT fixed, and David is reporting some, eh, interesting "rounding loss" happening as well here. Please do look into this.

To get 10000000 KUDOS, simply open an account and then hack the Postgres database balance for that account. On demo, the respective SQL statement should be in the history...

Florian Dold

2020-05-11 18:45

manager   ~0015885

Multiple performance and responsiveness issues needed to be fixed.

Now the wallet handles very large amounts properly.

Issue History

Date Modified Username Field Change
2019-01-25 18:32 davidak New Issue
2019-01-25 18:32 davidak Status new => assigned
2019-01-25 18:32 davidak Assigned To => Florian Dold
2019-01-25 18:32 davidak File Added: Screenshot from 2019-01-25 16-18-58.png
2019-01-25 18:32 davidak File Added: Screenshot from 2019-01-25 17-31-48.png
2019-01-31 19:16 Christian Grothoff Target Version => 0.6
2019-01-31 19:16 Christian Grothoff Note Added: 0013540
2019-04-16 21:52 davidak File Added: Screenshot from 2019-04-16 21-48-32.png
2019-04-16 21:52 davidak Note Added: 0014297
2019-08-17 18:51 Florian Dold Status assigned => feedback
2019-08-17 18:51 Florian Dold Note Added: 0014793
2019-12-18 23:25 Christian Grothoff Status feedback => resolved
2019-12-18 23:25 Christian Grothoff Resolution open => fixed
2019-12-18 23:25 Christian Grothoff Note Added: 0015188
2019-12-18 23:25 Christian Grothoff Fixed in Version => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed
2019-12-24 08:44 Christian Grothoff Status closed => assigned
2019-12-24 08:44 Christian Grothoff Note Added: 0015218
2020-03-29 21:43 Christian Grothoff Status assigned => resolved
2020-03-29 21:44 Christian Grothoff Status resolved => assigned
2020-03-29 21:44 Christian Grothoff Resolution fixed => open
2020-03-29 21:44 Christian Grothoff Fixed in Version 0.6 =>
2020-03-29 21:44 Christian Grothoff Target Version 0.6 => 0.7.1
2020-05-11 18:45 Florian Dold Status assigned => resolved
2020-05-11 18:45 Florian Dold Resolution open => fixed
2020-05-11 18:45 Florian Dold Note Added: 0015885
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8